"""Implementation of XBAcompartment class.

Peter Schubert, HHU Duesseldorf, May 2022
"""

class XbaCompartment:

    def __init__(self, s_compartment):
        self.id = s_compartment.name
        self.name = s_compartment.get('name', '')
        self.size = s_compartment['size']
        self.units = s_compartment['units']
        self.dimension = s_compartment['spatialDimension']